use inc::Module::Install;

name 'EppClient';
all_from 'lib/EppClient.pm';

requires 'Catalyst::Runtime' => '5.90007';
requires 'Catalyst::Plugin::ConfigLoader';
requires 'Catalyst::Plugin::Static::Simple';
requires 'Catalyst::Action::RenderView';

requires 'Catalyst::Plugin::StackTrace';
requires 'Catalyst::Plugin::Unicode::Encoding';
requires 'Catalyst::Plugin::Session';
requires 'Catalyst::Plugin::Session::Store::File';
requires 'Catalyst::Plugin::Session::State::Cookie';
requires 'Catalyst::Plugin::Authentication';
requires 'Catalyst::Plugin::Authorization::Roles';
requires 'Catalyst::Plugin::Authorization::ACL';
requires 'Catalyst::View::TT';

requires 'Net::DRI' => '0.96';
requires qw /
 Data::Dumper
 Log::Log4perl
 Net::LibIDN
 Time::HiRes
 Encode
 DateTime
 DateTime::TimeZone
 DateTime::Format::Strptime
 WWW::Mechanize
 Storable
 HTML::Entities
 URI::Escape
 Email::Valid
 Archive::Zip
 File::Temp
 LockFile::Simple
 Algorithm::FloodControl
 Time::Local
 Data::Validate::Domain
/;

requires 'Catalyst::Controller::RequestToken' => '0.07';
requires 'YAML'; # This should reflect the config file format you've chosen
                 # See Catalyst::Plugin::ConfigLoader for supported formats
catalyst;

install_script glob('script/*.pl');
auto_install;
WriteAll;
