#
# Cleanup
#

use strict;
use warnings;
use Test::More tests => 4;
#

unless ($ENV{DRAUPNEROOT}) {
    $ENV{DRAUPNEROOT} = '/srv/draupne';
}

my  $CLEANUP_SCRIPT = `which remove_objects.pl`;
chomp $CLEANUP_SCRIPT;

unless ( $CLEANUP_SCRIPT && -x $CLEANUP_SCRIPT) {

    $CLEANUP_SCRIPT = $ENV{DRAUPNEROOT} . "/src/Registry-NORID/bin/remove_objects.pl";

    unless ( $CLEANUP_SCRIPT) {
       die("No CLEANUP_SCRIPT, cannot and aborting");
    }

}

my $EC_ROOT= $ENV{DRAUPNEROOT} . "/noridsrc/epp-client/web/EppClient";

ok($ENV{DRAUPNEROOT}, "DRAUPNEROOT set to: " .  $ENV{DRAUPNEROOT});	
ok($EC_ROOT, "EC_ROOT set to: $EC_ROOT");  
ok($CLEANUP_SCRIPT, "CLEANUP_SCRIPT set to: $CLEANUP_SCRIPT");

my @res = `perl $CLEANUP_SCRIPT -y $EC_ROOT/remove-eppclient-testobjects.yaml`;

ok (1, "Cleanup completed");

